summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/rdiscount/Manifest1
-rw-r--r--dev-ruby/rdiscount/metadata.xml10
-rw-r--r--dev-ruby/rdiscount/rdiscount-2.2.7.3-r1.ebuild45
-rw-r--r--dev-ruby/rdiscount/rdiscount-2.2.7.3.ebuild (renamed from dev-ruby/rdiscount/rdiscount-2.2.7.2-r1.ebuild)25
4 files changed, 17 insertions, 64 deletions
diff --git a/dev-ruby/rdiscount/Manifest b/dev-ruby/rdiscount/Manifest
index 86d325649bf7..743bdd058616 100644
--- a/dev-ruby/rdiscount/Manifest
+++ b/dev-ruby/rdiscount/Manifest
@@ -1,2 +1 @@
-DIST rdiscount-2.2.7.2.gem 74240 BLAKE2B 188a679dddbfc95d01a20a7bea655b3b90106049ebd75924039a517fb1d63de4e3b7bc4bf59de62d55271f203ec1a06d28fb0e83808606a59c6ba70b7296a6ad SHA512 15b03d8723c521ccc282e493a6e0fe43a72b4c55bb35da13fe8a55528d4c31222947fb1dc50ab20567bc61550c954643b591ce2cd8edd94c0e2dee70a35429f6
DIST rdiscount-2.2.7.3.gem 75776 BLAKE2B 6dc3110d0acf1adf86450e520e43e9d6602ca8980e85d5d0122f2e49026e6b6a32eca72a44631fa1fa03e6c649b21941a820cb07a1d8cc30d3bde3d3fdc74c5e SHA512 525791f2be10e118f556676a1645d2805ba6ad920e4f4c8761362c5aa09cf1f773f0216f7b6c2e1f78acbc1de1ac85c6088cc85729af70a28f537fdff3434786
diff --git a/dev-ruby/rdiscount/metadata.xml b/dev-ruby/rdiscount/metadata.xml
index 36acccda7221..9b189c857413 100644
--- a/dev-ruby/rdiscount/metadata.xml
+++ b/dev-ruby/rdiscount/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
</maintainer>
-
- <origin>ports</origin>
+ <upstream>
+ <remote-id type="rubygems">rdiscount</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/rdiscount/rdiscount-2.2.7.3-r1.ebuild b/dev-ruby/rdiscount/rdiscount-2.2.7.3-r1.ebuild
deleted file mode 100644
index b08f0bff5561..000000000000
--- a/dev-ruby/rdiscount/rdiscount-2.2.7.3-r1.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 2021-2024 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-USE_RUBY="ruby31 ruby32 ruby33"
-
-RUBY_FAKEGEM_TASK_TEST="test:unit"
-RUBY_FAKEGEM_TASK_DOC="doc man"
-RUBY_FAKEGEM_EXTRADOC="README.markdown"
-
-inherit multilib ruby-fakegem
-
-DESCRIPTION="Implementation of John Gruber's Markdown"
-HOMEPAGE="https://github.com/rtomayko/rdiscount"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
-IUSE=""
-
-all_ruby_prepare() {
- # Hanna is broken for us and therefore we don't have it in portage.
- sed -i -e 's/hanna/rdoc/' Rakefile || die
-
- # Remove rule that will force a rebuild when running tests.
- sed -i -e "/task 'test:unit' => \[:build\]/d" Rakefile || die
-
- # Provide RUBY variable no longer provided by rake.
- sed -i -e "1 iRUBY=${RUBY}" Rakefile || die
-}
-
-each_ruby_configure() {
- ${RUBY} -Cext extconf.rb || die
-}
-
-each_ruby_compile() {
- emake V=1 -Cext
- cp ext/*$(get_modname) lib/ || die
-}
-
-all_ruby_install() {
- all_fakegem_install
-
- doman man/rdiscount.1
-}
diff --git a/dev-ruby/rdiscount/rdiscount-2.2.7.2-r1.ebuild b/dev-ruby/rdiscount/rdiscount-2.2.7.3.ebuild
index b08f0bff5561..5abc5916cafb 100644
--- a/dev-ruby/rdiscount/rdiscount-2.2.7.2-r1.ebuild
+++ b/dev-ruby/rdiscount/rdiscount-2.2.7.3.ebuild
@@ -1,22 +1,25 @@
-# Copyright 2021-2024 Liguros Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_TASK_TEST="test:unit"
+
RUBY_FAKEGEM_TASK_DOC="doc man"
RUBY_FAKEGEM_EXTRADOC="README.markdown"
-inherit multilib ruby-fakegem
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit ruby-fakegem
DESCRIPTION="Implementation of John Gruber's Markdown"
-HOMEPAGE="https://github.com/rtomayko/rdiscount"
+HOMEPAGE="https://github.com/davidfstr/rdiscount"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
-IUSE=""
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos ~x64-solaris"
all_ruby_prepare() {
# Hanna is broken for us and therefore we don't have it in portage.
@@ -27,15 +30,9 @@ all_ruby_prepare() {
# Provide RUBY variable no longer provided by rake.
sed -i -e "1 iRUBY=${RUBY}" Rakefile || die
-}
-
-each_ruby_configure() {
- ${RUBY} -Cext extconf.rb || die
-}
-each_ruby_compile() {
- emake V=1 -Cext
- cp ext/*$(get_modname) lib/ || die
+ # Remove obsolete -rubygems argument, bug 775377
+ sed -i -e '/-rubygems/ s:^:#:' Rakefile || die
}
all_ruby_install() {